Get webhook
curl --request GET \
--url https://api.sand.etherfuse.com/ramp/webhook/{webhook_id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.sand.etherfuse.com/ramp/webhook/{webhook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sand.etherfuse.com/ramp/webhook/{webhook_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"createdAt": 1748345400,
"eventType": "order_updated",
"id": "d4e5f6a7-b8c9-0123-defa-234567890123",
"updatedAt": 1748431800,
"url": "https://example.com/webhooks/etherfuse"
}Webhooks
Get webhook
GET
/
ramp
/
webhook
/
{webhook_id}
Get webhook
curl --request GET \
--url https://api.sand.etherfuse.com/ramp/webhook/{webhook_id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.sand.etherfuse.com/ramp/webhook/{webhook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sand.etherfuse.com/ramp/webhook/{webhook_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"createdAt": 1748345400,
"eventType": "order_updated",
"id": "d4e5f6a7-b8c9-0123-defa-234567890123",
"updatedAt": 1748431800,
"url": "https://example.com/webhooks/etherfuse"
}Authorizations
API key sent in the Authorization header.
Path Parameters
The webhook ID
Response
The webhook
Unix timestamp in seconds.
Available options:
bank_account_updated, customer_updated, order_updated, swap_updated, kyc_updated, kyb_updated Unix timestamp in seconds.